Bug 187481 - [or_IN]About the blwm
[or_IN]About the blwm
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Bhalerao
: i18n
Depends On:
Blocks: 206581
  Show dependency treegraph
 
Reported: 2006-03-31 04:41 EST by subhransu behera
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-27 07:57:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is how the combination should look like (51.33 KB, image/tiff)
2006-03-31 04:41 EST, subhransu behera
no flags Details
Verified Image (2.53 KB, image/png)
2007-04-27 07:55 EDT, A S Alam
no flags Details

  None (edit)
Description subhransu behera 2006-03-31 04:41:51 EST
Description of problem: Problem in Below-base mark positioning (blwm)


How reproducible:

While typing in yudit (with it's inbulid inscript key map) the following
combination is not properly displayed.

Steps to Reproduce:
1. Type the U+0b38 U+0b4d U+0b2e U+0b4d U+0b30 U+0b09 in yudit
  
Actual results:

Combination with overlapping characters

Expected results:

Clear view of the combination
Comment 1 subhransu behera 2006-03-31 04:41:51 EST
Created attachment 127116 [details]
This is how the combination should look like
Comment 2 Leon Ho 2006-08-28 02:50:45 EDT
Does it work in gedit, evolution etc?
Comment 3 subhransu behera 2006-08-28 08:35:38 EDT
(In reply to comment #2)
> Does it work in gedit, evolution etc?

Hi Leon 

It doesn't work with gedit or evolution !

I had tested it earlier with utkal font which gave me this combination. But for
our Lohit font the rule is not correctly defined. I have also filed a bug for
the missing glyph for this combination.

Reference Bug ID # 194066

Combination is in list no # 18
Comment 5 Rahul Bhalerao 2006-09-14 06:47:47 EDT
The combination reported is here is wrong. The correct combination is:

   (Consonant + U0D4D + Consonant) + U0D43

Here the part which is inside bracket forms a conjunct with below base form. 
Thus when below base mark U0D43 follows, it overlaps the eairlier below base.
This is a GPOS problem. Below base anchor point pair needs to be deined for 
U0D43 and all the other below base glyphs.
Comment 6 Rahul Bhalerao 2006-09-18 03:32:55 EDT
In above comment U0D4D and U0D43 should be respectively, U0B4D and U0B43.

This combination:
0b38 + 0b4d + ob2e + 0b43 

Now works in the latest font 2.0.1-1.
Comment 7 A S Alam 2007-04-27 07:55:41 EDT
Created attachment 153610 [details]
Verified Image
Comment 8 A S Alam 2007-04-27 07:57:26 EDT
verified version is:
fonts-oriya-2.1.5-1.fc7

Note You need to log in before you can comment on or make changes to this bug.